## org.eclipse.emf.cdo
Interface CDOAdapter

All Superinterfaces:
  org.eclipse.emf.common.notify.Adapter

    public interface CDOAdapter

extends org.eclipse.emf.common.notify.Adapter

A marker interface for `adpters` to indicate that change subscriptions should be registered with the repository if they are attached to `objects`.

This special marker interface is intended to be used with `CDOAdapterPolicy.CDO`. Note that you can also define your own `adapter policy` and `register` it with the `view` to make your own adapters trigger change subscription.

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Method Summary

Methods inherited from interface org.eclipse.emf.common.notify.Adapter
`getTarget, isAdapterForType, notifyChanged, setTarget`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.